package com.ruoyi.sim.mapper;

import java.util.List;

import com.ruoyi.sim.domain.AddOnUser;

/**
 * 用户附加Mapper接口
 *
 * @author tom
 * @date 2024-12-15
 */
public interface AddOnUserMapper {
    /**
     * 查询用户附加
     *
     * @param userId 用户附加主键
     * @return 用户附加
     */
    public AddOnUser selectAddOnUserByUserId(Long userId);

    /**
     * 查询用户附加列表
     *
     * @param addOnUser 用户附加
     * @return 用户附加集合
     */
    public List<AddOnUser> selectAddOnUserList(AddOnUser addOnUser);

    /**
     * 新增用户附加
     *
     * @param addOnUser 用户附加
     * @return 结果
     */
    public int insertAddOnUser(AddOnUser addOnUser);

    /**
     * 修改用户附加
     *
     * @param addOnUser 用户附加
     * @return 结果
     */
    public int updateAddOnUser(AddOnUser addOnUser);

    /**
     * 删除用户附加
     *
     * @param userId 用户附加主键
     * @return 结果
     */
    public int deleteAddOnUserByUserId(Long userId);

    /**
     * 批量删除用户附加
     *
     * @param userIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAddOnUserByUserIds(Long[] userIds);
}
